﻿Imports Microsoft.VisualBasic
Imports System
Imports System.Collections.Generic
Imports System.Linq
Imports System.Text
Imports System.Windows
Imports System.Windows.Controls
Imports System.Windows.Data
Imports System.Windows.Documents
Imports System.Windows.Input
Imports System.Windows.Media
Imports System.Windows.Media.Imaging
Imports System.Windows.Shapes
Imports Syncfusion.Windows.Tools.Controls
Imports Syncfusion.Windows.Reports.Designer
Imports Syncfusion.Windows.Shared

Namespace Report_Designer_Utility_2008
	''' <summary>
	''' Interaction logic for MainWindow.xaml
	''' </summary>
	Partial Public Class MainWindow
		Inherits RibbonWindow
		Private titlePrefix As String = "Syncfusion Essential Report Designer"

		Public Sub New()
			InitializeComponent()
			AddHandler Closing, AddressOf MainWindow_Closing
			AddHandler ReportDesignerControl.AllReportsClosed, AddressOf ReportDesignerControl_AllReportsClosed
			SkinStorage.SetVisualStyle(Me, "Metro")
		End Sub

		Private Sub ReportDesignerControl_AllReportsClosed(ByVal sender As Object, ByVal e As AllReportsClosedEventArgs)
			Me.Close()
		End Sub

		Private Sub MainWindow_Closing(ByVal sender As Object, ByVal e As System.ComponentModel.CancelEventArgs)
			Dim IsCanClose As Boolean = Me.ReportDesignerControl.PreCloseApplication()

			If IsCanClose = False Then
				e.Cancel = True
			End If
		End Sub

		Private Sub ReportDesignerControl_ReportOpened(ByVal sender As Object, ByVal e As ReportChangedEventArgs)
			Me.Title = e.ReportName.Replace(".rdl", "") & " - " & titlePrefix
		End Sub

		Private Sub ReportDesignerControl_ReportSaved(ByVal sender As Object, ByVal e As ReportChangedEventArgs)
			Me.Title = e.ReportName.Replace(".rdl", "") & " - " & titlePrefix
		End Sub

		Private Sub ReportDesignerControl_NewReportOpened(ByVal sender As Object, ByVal e As ReportChangedEventArgs)
			Me.Title = e.ReportName.Replace(".rdl", "") & " - " & titlePrefix
		End Sub
	End Class
End Namespace
